<template>
  <div class="slider-wrapper">
    <h2 v-if="title" v-html="title"></h2>
    <div v-if="posttitle" class="text-posttitle" v-html="posttitle"></div>
    <div v-if="btnArrow && !arrowNone" class="button-arrow-wrapper">
      <Button color="blue" class="button-arrow-left" @click="scrollLeft" :class="{'disable' : arrowDisableLeft}">
        <template #icon>
          <Arrow />
        </template>
      </Button>
      <Button color="blue" @click="scrollRight" :class="{'disable' : arrowDisableRight}">
        <template #icon>
          <Arrow />
        </template>
      </Button>
    </div>
    <slot name="fishTypes" :onClick="overflowArrow"></slot>
    
    <!-- <div v-if="fishTypes" class="type-button-wrapper">

      <Button v-for="btn in fishTypes" :key="btn.id" @click="selectType(btn.code)" :class="{active: btn.active}">
        <slot>{{btn.name}}</slot>
      </Button>
    </div> -->
    <div ref="content" class="block-wrapper">
        <slot name="slide"></slot>
    </div>
  </div>
</template>

<script>
import Button from "./common/button.vue";
import Arrow from "./icons/arrow-right.vue";

export default {
  components: {
    Button,
    Arrow,
  },
  props: {
    onChangeDate: {
      type: Function,
    },
    btnArrow:{
        type: Boolean,
        default: true
    },
    title: {type: String},
    posttitle: {type: String}
  },
  data() {
    return {
      arrowNone: false,
      // arrowDisableLeft: false,
      // arrowDisableRight: false
    };
  },
  computed: {},
  mounted() {
    // console.log(this.fishTypes)
    // this.overflowArrow();
  },

  methods: {
    scrollLeft() {
      const content = this.$refs.content;
      content.scrollTo({
        left: (content.scrollLeft -= 500),
        behavior: "smooth",
      });
      // this.arrowDisableRight = false;
      // this.overflowArrow('left');
    },
    scrollRight() {
      const content = this.$refs.content;
      content.scrollTo({
        left: (content.scrollLeft += 500),
        behavior: "smooth",
      });
      // this.arrowDisableLeft = false;
      // this.overflowArrow('right');
    },
    // overflowArrow(to){
    //   const slides = this.$refs.content.scrollWidth; //ширина области скролла
    //   console.log('slides: ', slides);
    //   // const slidesWrapper = this.$refs.wrapper.offsetWidth; //ширина обертки
    //   const contentWidth = this.$refs.content.clientWidth; //щирина видимого блока 
    //   console.log('contentWidth: ', contentWidth);
    //   const scrollToRight = this.$refs.content.scrollLeft; //скролл по кнопке вправо
    //   // console.log('scrollToRight: ', scrollToRight);
    //   // if(slides <= contentWidth){
    //   //   this.arrowNone = true;
    //   // }
    //   // else{
    //   //   this.arrowNone = false;
    //   // }
    //   if(to === 'right'){
    //     (slides - scrollToRight === contentWidth) ? (this.arrowDisableRight = true) : (this.arrowDisableRight = false)
    //   }
    //   else{
    //     (scrollToRight === 0) ? (this.arrowDisableLeft = true) : (this.arrowDisableLeft = false)
    //   }
    // }
    
  },
};
</script>

<style lang="scss">


</style>
